# IRdNtModeratorTxtMsg Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | AddRecipient ([in] RtCSNID csnidClient)
HRESULT | GetNumRecipients ([out, retval] RtDWORD *pdwNum)
HRESULT | GetRecipientId ([in] RtDWORD dwInd,[out, retval] RtCSNID *pcsnidClient)
## Properties
BSTR | Message`[set]`
BSTR * | Message`[get]`

## Detailed Description

Object represents Moderator's text message, together with a list of recipients.

## Member Function Documentation

HRESULT IRdNtModeratorTxtMsg::Clear | ( | void |  | ) |

Clear this chat message.

        var modTxt = System.CreateDO('Network Package/Net Moderator Text Message');
        modTxt.Clear();

HRESULT IRdNtModeratorTxtMsg::AddRecipient | ( | [in] RtCSNID | csnidClient | ) |

Add recipient for this text message.

Parameters:

  | pcsnidClient | [in] Returns client's identification number.

     modTxt.AddRecipient(Id of client);

See also:
  IRdNtClientInfoDisp Id method.

HRESULT IRdNtModeratorTxtMsg::GetNumRecipients | ( | [out, retval] RtDWORD * | pdwNum | ) |

Get number of recipients.

Returns:
  dwNum [out, retval] Number of recipients. If it is 0, then the message will be delivered to all clients.

     var numRecip = modTxt.GetNumRecipients();

HRESULT IRdNtModeratorTxtMsg::GetRecipientId | ( | [in] RtDWORD | dwInd,
|  | [out, retval] RtCSNID * | pcsnidClient |
| ) |  |  |

Get recipient id.

Parameters:

  | dwInd | [in] Specify index of the recipient.

Returns:
  pcsnidClient [out, retval] Returns recipient id.

        for(i=0;i<numRecip;i++)
        {
            var recptId = modTxt.GetRecipientId(i);
            System.Alert(recptId);
        }

## Property Documentation

BSTR IRdNtModeratorTxtMsg::Message`[set]`

Set the text message.

Parameters:

  | bstrMsg | [in] Specify the text message.

     modTxt.Message = "wopbopbaloola";

BSTR * IRdNtModeratorTxtMsg::Message`[get]`

Get the text message.

Returns:
  pbstrMsg [out, retval] Returns the text message.

     var modMsg = modTxt.Message();